function onTalk()
	disableMovement()
	waitUntilOnGround()
	say("CC_Deltarune_TheEnd_DoorTop")
	if choice("CC_Deltarune_TheEnd_DoorChoice1","CC_Deltarune_TheEnd_DoorChoice2") == 1 then
		setFlag("openedFinalDoor",true)
		enableMovement()
		teleportTo(1752,-3952,"e-04")
		endCutscene()
	end
end
function onEnd()
	enableMovement()
end